Skip to content

workspaces_list

GET
/api/workspaces
curl --request GET \
--url https://example.com/api/workspaces \
--header 'Authorization: Bearer <token>'

Retrieve the list of workspace.

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for handling workspace data, including creator and editor information.

object
id
required
string format: uuid
name
required
string
<= 50 characters
description
string
nullable
slug
required
string
/^[-a-zA-Z0-9_]+$/
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : Workspace The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : Workspace The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2"
}